Subject: Re: bug#32058: mysql build fails on d88b29d6b78482cdb05ac714984f6a27195e3d37

From: Nils Gillmann <[email-masked]>
Date: Thu, 5 Jul 2018 21:03:44 +0000

Ricardo Wurmus transcribed 1.7K bytes:
> 
> Nils Gillmann <[email-masked]> writes:
> 
> > Tobias Geerinckx-Rice transcribed 5.0K bytes:
> >> ng0,
> >>
> >> Thanks!
> >>
> >> Nils Gillmann wrote:
> >> > Since I do not have the time to work on this, but there seems to be no
> >> > open bug:
> >> >
> >> > mysql started a couple of commits ago (since last core-updates merge?)
> >> > to fail
> >> > its build.
> >>
> >> I noticed this yesterday, too. In the meantime, I've tried updating MySQL to
> >> 5.7.22 (one never knows) and poking at some random bits but that didn't
> >> help.
> >>
> >> > [build output snipped]
> >>
> >> There's actually an error message[0]. Did it not show up in your logs? I'd
> >> consider that a bug too.
> >
> > Odd. I think this was by accident. Here it is:
> 
> This happens when building in parallel; the actual error that caused the
> build to terminate could have occurred hundreds of lines earlier when
> another independent make processes is still running.
> 
> Anyway, thanks for providing the error message.
> 
> > /tmp/guix-build-mysql-5.7.21.drv-0/mysql-5.7.21/sql/item_geofunc_internal.cc: In function ‘void
> > handle_gis_exception(const char*)’:
> > /tmp/guix-build-mysql-5.7.21.drv-0/mysql-5.7.21/sql/item_geofunc_internal.cc:37:81: error: expected
> > unqualified-id before ‘&’ token
> >    catch (const boost::geometry::detail::self_get_turn_points::self_ip_exception &)
> 
> The Internet tells me that mysql is very picky about which versions of
> boost it build with.  We use boost 1.66.0 now.
> 
> The mysql package definition contains this comment:
> 
>    ;; Mysql wants boost-1.59.0 specifically
> 
> and then we proceed to just replace 59 for whatever minor version it is
> we are using.
> 
> Should we just upgrade to the latest version 8.0.11?

It's worth a try. Given that we just have 4 dependent packages for mysql
it could simply be applied.
Since mariadb usually just works in place of
mysql (https://mariadb.com/kb/en/library/mariadb-vs-mysql-compatibility/),
could we attempt to replace and support mysql in kodi with mariadb?

They seem to support mariadb (https://kodi.wiki/view/MySQL):

  MySQL Protocol & MariaDB
  When setting up shared Library databases either MySQL or Maria DB can be used as they both use the same MySQL protocol. Since many Linux distributions have dropped including MySQL and now instead now ship MariaDB it is being more common to use MariaDB for shared Library databases.

> --
> Ricardo